
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java Socket构建阻塞的TCP通信 / iVAN</title>

    <meta name="description" content="Java Socket构建阻塞的TCP通信 1.服务器端 1.创建ServerSocket对象,可在构造子中指定监听的端口: private int port = 8000; private ServerSocket serverSocket; -- serverSocket = new ServerSocket(port); 2.服务器端调用ServerSocket对象的accept()方法,该方法一直监听端口,等待客户的连接请求,如 果接收到一个连接请求,accept()方法就会返回一个Socket对象,这个Socket对象与客户端的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java Socket构建阻塞的TCP通信</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.服务器端</p>
<p>1.创建ServerSocket对象，可在构造子中指定监听的端口；</p>
<p><code>private int port = 8000;<br />
private ServerSocket serverSocket;<br />
……<br />
serverSocket = new ServerSocket(port);</code></p>
<p>2.服务器端调用ServerSocket对象的accept()方法，该方法一直监听端口，等待客户的连接请求，如 果接收到一个连接请求，accept()方法就会返回一个Socket对象，这个Socket对象与客户端的Socket对象 将形成一条通信线路；</p>
<p><code>Socket socket = null;<br />
socket = serverSocket.accept(); // 等待客户连接</code></p>
<p>3.Socket类提供了getInputStream()方法和getOutputStream()方法。</p>
<p>InputStream socketIn = socket.getInputStream();</p>
<p>OutputStream socketOut = socket.getOutputStream();</p>
<p>源代码EchoServer.java</p>
<p><code>public class EchoServer {<br />
　　 private int port = 8000;<br />
　　 private ServerSocket serverSocket;<br />
　　 public EchoServer() throws IOException {<br />
　　　 serverSocket = new ServerSocket(port);<br />
　　　 System.out.println("Server Start");<br />
　　 }<br />
　　 public String echo(String msg) {<br />
　　　 return "echo:" + msg;<br />
　　 }<br />
　　 private PrintWriter getWriter(Socket socket) throws IOException {<br />
　　　 OutputStream socketOut = socket.getOutputStream();<br />
　　　 return new PrintWriter(socketOut, true);<br />
　　 }<br />
　　 private BufferedReader getReader(Socket socket) throws IOException {<br />
　　　 InputStream socketIn = socket.getInputStream();<br />
　　　 return new BufferedReader(new InputStreamReader(socketIn));<br />
　　 }<br />
　　 public void service() {<br />
　　　 while (true) {<br />
　　　　　 Socket socket = null;<br />
　　　　　 try {<br />
　　　　　　　 socket = serverSocket.accept(); // 等待客户连接<br />
　　　　　　　 System.out.println("New connection accepted "<br />
　　　　　　　　　　 + socket.getInetAddress() + ":" + socket.getPort());<br />
　　　　　　　 BufferedReader br = getReader(socket);<br />
　　　　　　　 PrintWriter pw = getWriter(socket);<br />
　　　　　　　 String msg = null;<br />
　　　　　　　 while ((msg = br.readLine()) != null) {<br />
　　　　　　　　　 System.out.println(msg);<br />
　　　　　　　　　 pw.println(echo(msg));<br />
　　　　　　　　　 if (msg.equals("bye")) // 如果客户发送的消息为“bye”，就结束通信<br />
　　　　　　　　　　 break;<br />
　　　　　　　 }<br />
　　　　　 } catch (IOException e) {<br />
　　　　　　　 e.printStackTrace();<br />
　　　　　 } finally {<br />
　　　　　　　 try {<br />
　　　　　　　　　 if (socket != null)<br />
　　　　　　　　　　 socket.close(); // 断开连接<br />
　　　　　　　 } catch (IOException e) {<br />
　　　　　　　　　 e.printStackTrace();<br />
　　　　　　　 }<br />
　　　　　 }<br />
　　　 }<br />
　　 }<br />
　　 public static void main(String args[]) throws IOException {<br />
　　　 new EchoServer().service();<br />
　　 }<br />
}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:46:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/socket/" title="socket">socket</a>, <a href="https://www.iamivan.net/tag/private/" title="private">private</a>, <a href="https://www.iamivan.net/tag/ioexception/" title="ioException">ioException</a>, <a href="https://www.iamivan.net/tag/java-socket/" title="java socket">java socket</a>, <a href="https://www.iamivan.net/tag/java-tcp%e9%80%9a%e4%bf%a1/" title="java tcp通信">java tcp通信</a>, <a href="https://www.iamivan.net/tag/sockets/" title="sockets">sockets</a>, <a href="https://www.iamivan.net/tag/serversocket/" title="serversocket">serversocket</a>, <a href="https://www.iamivan.net/tag/socket-accept/" title="socket accept">socket accept</a>, <a href="https://www.iamivan.net/tag/java%c2%a0socket%e9%80%9a%e4%bf%a1/" title="java&nbsp;socket通信">java&nbsp;socket通信</a>, <a href="https://www.iamivan.net/tag/readline-%e9%98%bb%e5%a1%9e/" title="readline 阻塞">readline 阻塞</a>, <a href="https://www.iamivan.net/tag/socket-%e7%ad%89%e5%be%85%e8%bf%9e%e6%8e%a5/" title="socket 等待连接">socket 等待连接</a>, <a href="https://www.iamivan.net/tag/java%e7%9a%84serversocket/" title="java的serversocket">java的serversocket</a>, <a href="https://www.iamivan.net/tag/java-serversocket/" title="java serversocket">java serversocket</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java Socket构建阻塞的TCP通信的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeddwb.html" rel="bookmark">java网络编程-java  socket实现两台电脑通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java socket实现两台电脑通信 大学生 菜鸟一个 现在自己电脑创了 发送端,接收端,可行 然后同样的代码,将发送端目的ip改为宿舍一台电脑ip,就没反应了.怎么回事啊? 防火墙吗?还是ip地址不对.两台机一个网,一个是192.168.1.102,一台是103 解决方案 没反应是什么意思,指发送端? 解决方案二: 原因很多..硬件软件的可能性都有. 都会在中间阻止或者消亡http请求..最好把你的代码,和网络环境说一下. 解决方案三: 端口看看有没有被占用吧 解决方案四: 试试			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVN8ynz.html" rel="bookmark">java socket 客户端和服务器端互相通信（聊天）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端: package com.lzx.socket; import java.io.BufferedReader; import java.io.IOException; import java.io.InputStreamReader; import java.io.PrintWriter; import java.net.Socket; public class SocketClient { public static void main(String[] args) throws IO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWd0Vb.html" rel="bookmark">java socket为啥不阻塞</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java socket为啥不阻塞 package pack1; import java.io.*; import java.net.ServerSocket;i mport java.net.Socket; public class Servers { public static void main(String[] args) { // TODO Auto-generated method stub try { ServerSocket s=new ServerSocket(8888			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWldWqp.html" rel="bookmark">JAVA Socket超时浅析（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  套接字或插座(socket)是一种软件形式的抽象,用于表达两台机器间一个连接的&quot;终端&quot;.针对一个特定的连接,每台机器上都有一个&quot;套接字&quot;,可以想象它们之间有一条虚拟的&quot;线缆&quot;.JAVA有两个基于数据流的套接字类:ServerSocket,服务器用它&quot;侦听&quot;进入的连接:Socket,客户端用它初始一次连接.侦听套接字只能接收新的连接请求,不能接收实际的数据包.   套接字是基于TCP/IP实现的,它是用来提供一个访问TCP的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWqlOp.html" rel="bookmark">Java Socket编程----通信是这样炼成的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java最初是作为网络编程语言出现的,其对网络提供了高度的支持,使得客户端和服务器的沟通变成了现实,而在网络编程中,使用最多的就是Socket.像大家熟悉的QQ.MSN都使用了Socket相关的技术.下面就让我们一起揭开Socket的神秘面纱. Socket编程 一.网络基础知识(参考计算机网络) 关于计算机网络部分可以参考相关博客: TCP/IP协议栈及OSI参考模型详解&gt; http://wangdy.blog.51cto.com/3845563/1588379 1.两台计算机间进行通讯需要以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBXxlb.html" rel="bookmark">android 开发 java写的 tcp 通信库，注册选择器时异常！跪求java高手指点！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 开发 java写的 tcp 通信库,注册选择器时异常!跪求java高手指点!!! public void initialize() throws IOException { boolean done = false; try { Log.e(TAG,&quot;SocketChannel.open:IP:[&quot;+hostIp+&quot;Port:&quot;+hostListenningPort+&quot;].&quot;); // 打开监听信道并设置为非阻塞模式 s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrNnnp.html" rel="bookmark">java socket长连接中解决read阻塞的3个办法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决的方法有3个 : 1 约定发送的数据长度,比如 http的 keepAlive 就是必须依赖这个的 Content-Length 2 设置超时的时间,根据我的经验,只有在Socket级别设置才有效. 复制代码 代码如下: Socket socket = new Socket(host,port); socket.setSoTimeout(100); // 如果超过100毫秒还没有数据,则抛出 SocketTimeoutException 3 让发送端发送完数据后,关闭连接. 这个在Http的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5xQZz.html" rel="bookmark">Java写TCP通信程序的关闭问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在写TCP通信程序时,Java或者C++都会遇到端口无法迅速释放的问题,即在关闭时可能会出现Close_Wait,Time_Wait,Fin_wait_1,Fin_wait_1这四种状态,但是如何修正或者避免这些问题呢???始终没有找到方法.希望大牛们帮帮小弟 解决方案 解决方案二:不懂up解决方案三:貌似java操作不了那么底层吧解决方案四:谢谢解决方案五:2楼但是确实存在这个问题啊,比如一个apache的web服务器,如果有很多client接进来,但是关闭的时候,许多端口都成了cl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6mYNb.html" rel="bookmark">TCP通信socket异步，客户端报异常：目标主机积极拒绝</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 TCP通信socket异步,客户端报异常:目标主机积极拒绝 服务端只监听时,客户端建立1500个连接请求都可以正常建立连接,但当服务端改成建立连接后触发一个事件给客户端发送数据时,客户端异常:目标主机积极拒绝,只能建立部分连接.是何原因,希望有老师可以指点一下.不胜感激!! 解决方案 Socket(Tcp)通信客户端 解决方案二: 客户端接收的数据是否正确处理,然后就是看一下你服务器发送数据给客户端后,是不是关闭了连接			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK7nEb.html" rel="bookmark" class="title">关于java问题-关于Java能不能开发网页游戏，前辈们给我说说</a>
					<div>
						问题描述 关于Java能不能开发网页游戏,前辈们给我说说 刚学了Java下,可以做数据库实现网页上的增删改查,也可以编最简单的贪吃蛇,想问问前辈们这个贪食蛇可不可以放到网页上? 就是我打开网页就能玩游 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJyX7p.html" rel="bookmark" class="title">网站优化之细化网站建设细节问题</a>
					<div>
						在网络营销模式的盛行时代,其所占据的市场份额正在不断的扩大,网站建设与优化也被越来越多的企业所重视.网站建设优化在企业投放计划中占据中越来越多的比例.网站建设优化对于专业的seo公司来说是非常简单的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rdx3p.html" rel="bookmark" class="title">谷歌浏览器怎么下载安装Postman插件？</a>
					<div>
						  谷歌浏览器怎么下载安装Postman插件?         1.打开电脑中已安装好的谷歌浏览器,然后点击浏览器右上角位置中的更多的选项,弹出的下拉的菜单中进行选择&quot;设置&quot;的选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Voep.html" rel="bookmark" class="title">QQ输入法手机版S60V2&sol;V3数字键盘如何操作编辑功能</a>
					<div>
						  QQ输入法手机版S60V2/V3数字键盘根据按键不同可以有以下多种操作方法: 1.短按笔形键:短按笔形键弹出编辑菜单,根据菜单内容对目标文字进行编辑操作. 2.长按*号键:长按*号键弹出编辑菜单, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6AGBz.html" rel="bookmark" class="title">迅速提取Word和Powerpoint文档里面地图片</a>
					<div>
						有的Word.Powerpoint文档中会含有大量的图片,如果我们需要将这些图片全部提取出来,显然用复制到图像编辑软件再保存的方法有些繁琐. 下面介绍一个简单快捷的方法:从菜单中选择&quot;文件- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R5Zdp.html" rel="bookmark" class="title">Win8系统下IE浏览器闪退的问题</a>
					<div>
						操作步骤: 在系统升级到 Windows 8 以后,点击 IE 浏览器时出现闪退的问题.这样的问题可能是因为系统中存在其他浏览器而造成一些冲突,我们只要卸载除 IE 以外的浏览器,重启电脑后再装回,即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6XNM.html" rel="bookmark" class="title">微软SQLServer新功能一览，在哪下载</a>
					<div>
						  Microsoft SQL Server 2016的消息近日放出,微软将于今年夏季发布SQLServer2016公开预览版.现已提供下载地址,MicrosoftSQLServer2016在哪下载? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7jDvb.html" rel="bookmark" class="title">SAI绘画人物如何上色</a>
					<div>
						  这是一个和风少女上色教程,当然西西还没有这个技术,岛国hakus制作的,仅作一例供大家参考. 把自己的想象大概画一下 刚开始时只需要把人的一个形象立起来就好了 新建单元格,从上开始画.这次的主题是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6V62b.html" rel="bookmark" class="title">pCloud云存储怎么用</a>
					<div>
						  曲线下载国外文件 可能很多用户都和我一样有种感觉,即使是自己的网络带宽非常大了,在下载一些国外文件的时候也非常慢.其实造成这个问题的原因有很多,但是解决的方法却非常统一,就是利用离线下载这样的功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaWBAz.html" rel="bookmark" class="title">PowerShell 安全专题之攻击检测篇</a>
					<div>
						本文讲的是PowerShell 安全专题之攻击检测篇,PowerShell 从诞生至今,已经被大多数攻击者滥用在了各种攻击场景中,如内网渗透,APT攻击甚至包括现在流行的勒索软件中.PS之所以被广泛的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7wqAM.html" rel="bookmark" class="title">&lbrack;mongodb&rsqb;java操作mongodb</a>
					<div>
						使用mongoDB需要导入以下类,当然不是全部需要,用到的类就导入.  import com.mongodb.Mongo;  import com.mongodb.DB;  import com.mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEyB6z.html" rel="bookmark" class="title">java-JAVA问题：初学Hibernate框架时遇到的疑问</a>
					<div>
						问题描述 JAVA问题:初学Hibernate框架时遇到的疑问 报的错误是:Duplicate property mapping of dirId found in com.cailikun.Prod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YQ9dM.html" rel="bookmark" class="title">GMap&period;Net开发之地址解析与路径查找</a>
					<div>
						上一篇介绍了如何在GMap地图上添加多边形,这篇介绍下如何使用在线的地图服务进行&quot;地址解析&quot;和&quot;路径查找&quot;. 先看地址解析,GMap中的地址解析主要用到Geoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA1y3M.html" rel="bookmark" class="title">赛门铁克：安卓平台现恶意 app，无需代码就能定制</a>
					<div>
						据外媒报道,根据由赛门铁克的Dinesh Venkatesan公布一份报告了解到,Trojan Development Kit app for Android(即针对Android平台开发木马开发套件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ267p.html" rel="bookmark" class="title">浅谈制作网站如何选择建站系统</a>
					<div>
						遥想当年,如果谁能建设一个网站,一定会得到众多人的膜拜,意味着站长懂网页设计.程序语言和平面设计等技术,牛人也.而现在,已经有建站公司提出&quot;会打字就会建站&quot;的口号,建设网站如同吃快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKKDAz.html" rel="bookmark" class="title">关于solr4&period;10&period;2版本与java整合 出现Not Found异常</a>
					<div>
						问题描述 关于solr4.10.2版本与java整合 出现Not Found异常 在使用new CommonsHttpSolrServer(url).addBean(Food)时报出一下错误. 请教一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4A1Jz.html" rel="bookmark" class="title">被互联网改变的二手房中介：寻找新盈利模式</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 大数据时代里,一家传统的二手房中介公司或将演变成一家互联网公司.11月19日,链家副总裁林倩透露,链家在目标市场占有率已经超过50%,是第二名规模的三至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z1VOM.html" rel="bookmark" class="title">Echache整合Spring缓存实例讲解（转）</a>
					<div>
						           林炳文Evankaka原创作品.转载请注明出处http://blog.csdn.net/evankaka              摘要:本文主要介绍了EhCache,并通过整合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQDKVp.html" rel="bookmark" class="title">诺基亚手机 中文乱码问题</a>
					<div>
						问题描述 我调用.net做的webservice经过解析后,转换了字符格式为utf-8我用WTK2.52模拟器在电脑上运行,能够得出正确的中文文字(如果不转换UTF-8,则是WTK里也是乱码)但是同样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJGykp.html" rel="bookmark" class="title">初创网站建设公司，你要学会接受失败</a>
					<div>
						编者按:大多数创业者在创业初期都会面临各种各样的挫折和困难,能从其中吸取教训,才能增长经验,为以后的发展少走弯路.本文作者 Mark Suster 是著名风险投资机构 GRP Partners的合伙人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqoK6b.html" rel="bookmark" class="title">arraylist-C&num;关于ArrayList一个简单的问题</a>
					<div>
						问题描述 C#关于ArrayList一个简单的问题 现在想把 商品编号 商品名字 商品数量 商品的单价 1001 苹果 10 1.2 这样一组数据存起来,用ArrayList应该怎么存?然后怎么调用其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoyGxM.html" rel="bookmark" class="title">不要通过&OpenCurlyDoubleQuote;海淘&rdquo;代购&OpenCurlyDoubleQuote;肉肉&rdquo;，以免引起疫情风险</a>
					<div>
						摘要: 时下,进口多肉植物正逐渐成为不少年轻白领的首选宠物.福州检验检疫局的有关专家昨天提醒大家,市场上很多进口多肉植物都是通过非法途径进入国内的,购买时要谨慎,尤其是不 时下,进口多肉植物正逐渐成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0GyGM.html" rel="bookmark" class="title">ios-NSNotificationCenter</a>
					<div>
						问题描述 NSNotificationCenter 请问一下,添加一个observer会不会增加对象的引用计数?如果增加,是不是ARC可以对observer进行删除? 如果不增加,应该怎么删除obse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqLkZp.html" rel="bookmark" class="title">thinkphp中的url跳转用法分析&lowbar;php实例</a>
					<div>
						本文实例分析了thinkphp中的url跳转用法.分享给大家供大家参考,具体如下: 最先想到的是a标签里面的target属性,_blank时,可以在新的lab窗体中打开新的页面 但是现在要在php文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWerZz.html" rel="bookmark" class="title">dedecms实现文章列表隔行换色和随机颜色的方法</a>
					<div>
						标签说明: arclist 标签下使用 [field:global.autoindex/] 默认从1开始 channel 标签下使用 [field:global.autoindex/] 默认从0开始  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlGlmp.html" rel="bookmark" class="title">项目开发案例</a>
					<div>
						问题描述 北京科文兴国教育科技有限公司作为北京师范大学产业集团的下属单位,在北京师范大学产业集团的整体发展战略框架下,励精图治,几年来取得了一个又一个令人瞩目的成绩.科文公司具有一流的管理团队和研发团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q5Pmp.html" rel="bookmark" class="title">Swift语言如何将NSData转化为NSDictionary急！！</a>
					<div>
						问题描述 Swift语言如何将NSData转化为NSDictionary急!! 如何将NSData转化为NSDictionary.我要的是swift语言的!不要object-c的!! 为什么我这样转化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YmXOb.html" rel="bookmark" class="title">网易正式涉足教育领域 推出有道在线教育平台</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 4月24日消息,网易有道宣布推出&quot;有道在线教育平台&quot;,网易CEO丁磊表示,在一段时间内,并不追求短期的经济效益,网易有道对平台将不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdXvWp.html" rel="bookmark" class="title">刘嘉玲进更年期生子梦碎梁朝伟弃权不做父亲</a>
					<div>
						为了帮梁朝伟开枝散叶,刘嘉玲婚后即频频看中医调理身体,又拜神祈福求子,希望一击即中圆梁朝伟母亲抱孙的心愿.可惜经历年初植入胚胎手术失败后,年届45岁的刘嘉玲已迈向女人大限更年期,荷尔蒙失调令她忽肥忽瘦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3jd2b.html" rel="bookmark" class="title">Range Software 2&period;3发布 FEA有限元分析软件</a>
					<div>
						Range Software是一款工程模拟的有限元分析(FEA)软件.其主要特点是支持计算的流体动力学(CFD),传热和辐射,线性的应力应变,电静力学,声学,地面水流,模形优化,三维网格生成,直观的h ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
